ApiClient (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.client

## Class ApiClient

- java.lang.Object
- - com.cloudera.api.swagger.client.ApiClient

-     public class ApiClient
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANDROID_SDK_VERSION`
    `static boolean` | `IS_ANDROID`
    `static double` | `JAVA_VERSION`
    `static String` | `LENIENT_DATETIME_FORMAT` The datetime format to be used when `lenientDatetimeFormat` is enabled.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiClient()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `addDefaultHeader(String key, String value)` Add a default header.
    `com.squareup.okhttp.Call` | `buildCall(String path, String method, List<Pair> queryParams, Object body, Map<String,String> headerParams, Map<String,Object> formParams, String[] authNames, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build HTTP call with the given options.
    `com.squareup.okhttp.Request` | `buildRequest(String path, String method, List<Pair> queryParams, Object body, Map<String,String> headerParams, Map<String,Object> formParams, String[] authNames, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build an HTTP request with the given options.
    `com.squareup.okhttp.RequestBody` | `buildRequestBodyFormEncoding(Map<String,Object> formParams)` Build a form-encoding request body with the given form parameters.
    `com.squareup.okhttp.RequestBody` | `buildRequestBodyMultipart(Map<String,Object> formParams)` Build a multipart (file uploading) request body with the given form parameters, which could contain text fields and file fields.
    `String` | `buildUrl(String path, List<Pair> queryParams)` Build full URL by concatenating base path, the given sub path and query parameters.
    `<T> T` | `deserialize(com.squareup.okhttp.Response response, Type returnType)` Deserialize response body to Java object, according to the return type and the Content-Type response header.
    `File` | `downloadFileFromResponse(com.squareup.okhttp.Response response)` Download file from the given response.
    `String` | `escapeString(String str)` Escape the given string to be used as URL query value.
    `<T> ApiResponse<T>` | `execute(com.squareup.okhttp.Call call)` `execute(Call, Type)`
    `<T> ApiResponse<T>` | `execute(com.squareup.okhttp.Call call, Type returnType)` Execute HTTP call and deserialize the HTTP response body into the given return type.
    `<T> void` | `executeAsync(com.squareup.okhttp.Call call, ApiCallback<T> callback)` `executeAsync(Call, Type, ApiCallback)`
    `<T> void` | `executeAsync(com.squareup.okhttp.Call call, Type returnType, ApiCallback<T> callback)` Execute HTTP call asynchronously.
    `String` | `formatDate(Date date)` Format the given Date object into string (Date format).
    `String` | `formatDatetime(Date date)` Format the given Date object into string (Datetime format).
    `Authentication` | `getAuthentication(String authName)` Get authentication for the given name.
    `Map<String,Authentication>` | `getAuthentications()` Get authentications (key: authentication name, value: authentication).
    `String` | `getBasePath()` Get base path
    `int` | `getConnectTimeout()` Get connection timeout (in milliseconds).
    `DateFormat` | `getDateFormat()`
    `DateFormat` | `getDatetimeFormat()`
    `com.squareup.okhttp.OkHttpClient` | `getHttpClient()` Get HTTP client
    `JSON` | `getJSON()` Get JSON
    `KeyManager[]` | `getKeyManagers()`
    `InputStream` | `getSslCaCert()` Get SSL CA cert.
    `String` | `getTempFolderPath()` The path of temporary folder used to store downloaded files from endpoints with file response.
    `String` | `guessContentTypeFromFile(File file)` Guess Content-Type header from the given file (defaults to "application/octet-stream").
    `<T> T` | `handleResponse(com.squareup.okhttp.Response response, Type returnType)` Handle the given response, return the deserialized object when the response is successful.
    `boolean` | `isDebugging()` Check that whether debugging is enabled for this API client.
    `boolean` | `isJsonMime(String mime)` Check if the given MIME is a JSON MIME.
    `boolean` | `isLenientDatetimeFormat()` Whether to allow various ISO 8601 datetime formats when parsing a datetime string.
    `boolean` | `isLenientOnJson()`
    `boolean` | `isVerifyingSsl()` True if isVerifyingSsl flag is on
    `List<Pair>` | `parameterToPairs(String collectionFormat, String name, Object value)` Format to `Pair` objects.
    `String` | `parameterToString(Object param)` Format the given parameter object into string.
    `Date` | `parseDate(String str)` Parse the given date string into Date object.
    `Date` | `parseDateOrDatetime(String str)`
    `Date` | `parseDatetime(String str)` Parse the given datetime string into Date object.
    `File` | `prepareDownloadFile(com.squareup.okhttp.Response response)` Prepare file for download
    `void` | `processHeaderParams(Map<String,String> headerParams, com.squareup.okhttp.Request.Builder reqBuilder)` Set header parameters to the request builder, including default headers.
    `String` | `sanitizeFilename(String filename)` Sanitize filename by removing path.
    `String` | `selectHeaderAccept(String[] accepts)` Select the Accept header's value from the given accepts array: if JSON exists in the given array, use it; otherwise use all of them (joining into a string)
    `String` | `selectHeaderContentType(String[] contentTypes)` Select the Content-Type header's value from the given array: if JSON exists in the given array, use it; otherwise use the first one of the array.
    `com.squareup.okhttp.RequestBody` | `serialize(Object obj, String contentType)` Serialize the given Java object into request body according to the object's class and the request Content-Type.
    `void` | `setAccessToken(String accessToken)` Helper method to set access token for the first OAuth2 authentication.
    `void` | `setApiKey(String apiKey)` Helper method to set API key value for the first API key authentication.
    `void` | `setApiKeyPrefix(String apiKeyPrefix)` Helper method to set API key prefix for the first API key authentication.
    `ApiClient` | `setBasePath(String basePath)` Set base path
    `ApiClient` | `setConnectTimeout(int connectionTimeout)` Sets the connect timeout (in milliseconds).
    `ApiClient` | `setDateFormat(DateFormat dateFormat)`
    `ApiClient` | `setDatetimeFormat(DateFormat datetimeFormat)`
    `ApiClient` | `setDebugging(boolean debugging)` Enable/disable debugging for this API client.
    `ApiClient` | `setHttpClient(com.squareup.okhttp.OkHttpClient httpClient)` Set HTTP client
    `ApiClient` | `setJSON(JSON json)` Set JSON
    `ApiClient` | `setKeyManagers(KeyManager[] managers)` Configure client keys to use for authorization in an SSL session.
    `ApiClient` | `setLenientDatetimeFormat(boolean lenientDatetimeFormat)`
    `ApiClient` | `setLenientOnJson(boolean lenient)` Set LenientOnJson
    `void` | `setPassword(String password)` Helper method to set password for the first HTTP basic authentication.
    `ApiClient` | `setSslCaCert(InputStream sslCaCert)` Configure the CA certificate to be trusted when making https requests.
    `ApiClient` | `setTempFolderPath(String tempFolderPath)` Set the tempoaray folder path (for downloading files)
    `ApiClient` | `setUserAgent(String userAgent)` Set the User-Agent header's value (by adding to the default header map).
    `void` | `setUsername(String username)` Helper method to set username for the first HTTP basic authentication.
    `ApiClient` | `setVerifyingSsl(boolean verifyingSsl)` Configure whether to verify certificate and hostname when making https requests.
    `void` | `updateParamsForAuth(String[] authNames, List<Pair> queryParams, Map<String,String> headerParams)` Update query and header parameters based on authentication settings.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JAVA_VERSION

          public static final double JAVA_VERSION

    - #### IS_ANDROID

          public static final boolean IS_ANDROID

    - #### ANDROID_SDK_VERSION

          public static final int ANDROID_SDK_VERSION

    - #### LENIENT_DATETIME_FORMAT

          public static final String LENIENT_DATETIME_FORMAT

      The datetime format to be used when `lenientDatetimeFormat` is enabled.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ApiClient

          public ApiClient()

  - ### Method Detail

    - #### getBasePath

          public String getBasePath()

      Get base path
      Returns:
        Baes path

    - #### setBasePath

          public ApiClient setBasePath(String basePath)

      Set base path
      Parameters:
        `basePath` - Base path of the URL (e.g https://localhost/api/v50
      Returns:
        An instance of OkHttpClient

    - #### getHttpClient

          public com.squareup.okhttp.OkHttpClient getHttpClient()

      Get HTTP client
      Returns:
        An instance of OkHttpClient

    - #### setHttpClient

          public ApiClient setHttpClient(com.squareup.okhttp.OkHttpClient httpClient)

      Set HTTP client
      Parameters:
        `httpClient` - An instance of OkHttpClient
      Returns:
        Api Client

    - #### getJSON

          public JSON getJSON()

      Get JSON
      Returns:
        JSON object

    - #### setJSON

          public ApiClient setJSON(JSON json)

      Set JSON
      Parameters:
        `json` - JSON object
      Returns:
        Api client

    - #### isVerifyingSsl

          public boolean isVerifyingSsl()

      True if isVerifyingSsl flag is on
      Returns:
        True if isVerifySsl flag is on

    - #### setVerifyingSsl

          public ApiClient setVerifyingSsl(boolean verifyingSsl)

      Configure whether to verify certificate and hostname when making https requests. Default to true. NOTE: Do NOT set to false in production code, otherwise you would face multiple types of cryptographic attacks.
      Parameters:
        `verifyingSsl` - True to verify TLS/SSL connection
      Returns:
        ApiClient

    - #### getSslCaCert

          public InputStream getSslCaCert()

      Get SSL CA cert.
      Returns:
        Input stream to the SSL CA cert

    - #### setSslCaCert

          public ApiClient setSslCaCert(InputStream sslCaCert)

      Configure the CA certificate to be trusted when making https requests. Use null to reset to default.
      Parameters:
        `sslCaCert` - input stream for SSL CA cert
      Returns:
        ApiClient

    - #### getKeyManagers

          public KeyManager[] getKeyManagers()

    - #### setKeyManagers

          public ApiClient setKeyManagers(KeyManager[] managers)

      Configure client keys to use for authorization in an SSL session. Use null to reset to default.
      Parameters:
        `managers` - The KeyManagers to use
      Returns:
        ApiClient

    - #### getDateFormat

          public DateFormat getDateFormat()

    - #### setDateFormat

          public ApiClient setDateFormat(DateFormat dateFormat)

    - #### getDatetimeFormat

          public DateFormat getDatetimeFormat()

    - #### setDatetimeFormat

          public ApiClient setDatetimeFormat(DateFormat datetimeFormat)

    - #### isLenientDatetimeFormat

          public boolean isLenientDatetimeFormat()

      Whether to allow various ISO 8601 datetime formats when parsing a datetime string.
      Returns:
        True if lenientDatetimeFormat flag is set to true
      See Also:
        `parseDatetime(String)`

    - #### setLenientDatetimeFormat

          public ApiClient setLenientDatetimeFormat(boolean lenientDatetimeFormat)

    - #### parseDate

          public Date parseDate(String str)

      Parse the given date string into Date object. The default `dateFormat` supports these ISO 8601 date formats: 2015-08-16 2015-8-16
      Parameters:
        `str` - String to be parsed
      Returns:
        Date

    - #### parseDatetime

          public Date parseDatetime(String str)

      Parse the given datetime string into Date object. When lenientDatetimeFormat is enabled, the following ISO 8601 datetime formats are supported: 2015-08-16T08:20:05Z 2015-8-16T8:20:05Z 2015-08-16T08:20:05+00:00 2015-08-16T08:20:05+0000 2015-08-16T08:20:05.376Z 2015-08-16T08:20:05.376+00:00 2015-08-16T08:20:05.376+00 Note: The 3-digit milli-seconds is optional. Time zone is required and can be in one of these formats: Z (same with +0000) +08:00 (same with +0800) -02 (same with -0200) -0200
      Parameters:
        `str` - Date time string to be parsed
      Returns:
        Date representation of the string
      See Also:
        ISO 8601

    - #### parseDateOrDatetime

          public Date parseDateOrDatetime(String str)

    - #### formatDate

          public String formatDate(Date date)

      Format the given Date object into string (Date format).
      Parameters:
        `date` - Date object
      Returns:
        Formatted date in string representation

    - #### formatDatetime

          public String formatDatetime(Date date)

      Format the given Date object into string (Datetime format).
      Parameters:
        `date` - Date object
      Returns:
        Formatted datetime in string representation

    - #### getAuthentications

          public Map<String,Authentication> getAuthentications()

      Get authentications (key: authentication name, value: authentication).
      Returns:
        Map of authentication objects

    - #### getAuthentication

          public Authentication getAuthentication(String authName)

      Get authentication for the given name.
      Parameters:
        `authName` - The authentication name
      Returns:
        The authentication, null if not found

    - #### setUsername

          public void setUsername(String username)

      Helper method to set username for the first HTTP basic authentication.
      Parameters:
        `username` - Username

    - #### setPassword

          public void setPassword(String password)

      Helper method to set password for the first HTTP basic authentication.
      Parameters:
        `password` - Password

    - #### setApiKey

          public void setApiKey(String apiKey)

      Helper method to set API key value for the first API key authentication.
      Parameters:
        `apiKey` - API key

    - #### setApiKeyPrefix

          public void setApiKeyPrefix(String apiKeyPrefix)

      Helper method to set API key prefix for the first API key authentication.
      Parameters:
        `apiKeyPrefix` - API key prefix

    - #### setAccessToken

          public void setAccessToken(String accessToken)

      Helper method to set access token for the first OAuth2 authentication.
      Parameters:
        `accessToken` - Access token

    - #### setUserAgent

          public ApiClient setUserAgent(String userAgent)

      Set the User-Agent header's value (by adding to the default header map).
      Parameters:
        `userAgent` - HTTP request's user agent
      Returns:
        ApiClient

    - #### addDefaultHeader

          public ApiClient addDefaultHeader(String key,
                                            String value)

      Add a default header.
      Parameters:
        `key` - The header's key
        `value` - The header's value
      Returns:
        ApiClient

    - #### isLenientOnJson

          public boolean isLenientOnJson()

      Returns:
        True if lenientOnJson is enabled, false otherwise.
      See Also:
        setLenient

    - #### setLenientOnJson

          public ApiClient setLenientOnJson(boolean lenient)

      Set LenientOnJson
      Parameters:
        `lenient` - True to enable lenientOnJson
      Returns:
        ApiClient

    - #### isDebugging

          public boolean isDebugging()

      Check that whether debugging is enabled for this API client.
      Returns:
        True if debugging is enabled, false otherwise.

    - #### setDebugging

          public ApiClient setDebugging(boolean debugging)

      Enable/disable debugging for this API client.
      Parameters:
        `debugging` - To enable (true) or disable (false) debugging
      Returns:
        ApiClient

    - #### getTempFolderPath

          public String getTempFolderPath()

      The path of temporary folder used to store downloaded files from endpoints with file response. The default value is `null`, i.e. using the system's default tempopary folder.
      Returns:
        Temporary folder path
      See Also:
        createTempFile

    - #### setTempFolderPath

          public ApiClient setTempFolderPath(String tempFolderPath)

      Set the tempoaray folder path (for downloading files)
      Parameters:
        `tempFolderPath` - Temporary folder path
      Returns:
        ApiClient

    - #### getConnectTimeout

          public int getConnectTimeout()

      Get connection timeout (in milliseconds).
      Returns:
        Timeout in milliseconds

    - #### setConnectTimeout

          public ApiClient setConnectTimeout(int connectionTimeout)

      Sets the connect timeout (in milliseconds). A value of 0 means no timeout, otherwise values must be between 1 and
      Parameters:
        `connectionTimeout` - connection timeout in milliseconds
      Returns:
        Api client

    - #### parameterToString

          public String parameterToString(Object param)

      Format the given parameter object into string.
      Parameters:
        `param` - Parameter
      Returns:
        String representation of the parameter

    - #### parameterToPairs

          public List<Pair> parameterToPairs(String collectionFormat,
                                             String name,
                                             Object value)

      Format to `Pair` objects.
      Parameters:
        `collectionFormat` - collection format (e.g. csv, tsv)
        `name` - Name
        `value` - Value
      Returns:
        A list of Pair objects

    - #### sanitizeFilename

          public String sanitizeFilename(String filename)

      Sanitize filename by removing path. e.g. ../../sun.gif becomes sun.gif
      Parameters:
        `filename` - The filename to be sanitized
      Returns:
        The sanitized filename

    - #### isJsonMime

          public boolean isJsonMime(String mime)

      Check if the given MIME is a JSON MIME. JSON MIME examples: application/json application/json; charset=UTF8 APPLICATION/JSON application/vnd.company+json
      Parameters:
        `mime` - MIME (Multipurpose Internet Mail Extensions)
      Returns:
        True if the given MIME is JSON, false otherwise.

    - #### selectHeaderAccept

          public String selectHeaderAccept(String[] accepts)

      Select the Accept header's value from the given accepts array: if JSON exists in the given array, use it; otherwise use all of them (joining into a string)
      Parameters:
        `accepts` - The accepts array to select from
      Returns:
        The Accept header to use. If the given array is empty, null will be returned (not to set the Accept header explicitly).

    - #### selectHeaderContentType

          public String selectHeaderContentType(String[] contentTypes)

      Select the Content-Type header's value from the given array: if JSON exists in the given array, use it; otherwise use the first one of the array.
      Parameters:
        `contentTypes` - The Content-Type array to select from
      Returns:
        The Content-Type header to use. If the given array is empty, JSON will be used.

    - #### escapeString

          public String escapeString(String str)

      Escape the given string to be used as URL query value.
      Parameters:
        `str` - String to be escaped
      Returns:
        Escaped string

    - #### deserialize

          public <T> T deserialize(com.squareup.okhttp.Response response,
                                   Type returnType)
                            throws ApiException

      Deserialize response body to Java object, according to the return type and the Content-Type response header.
      Type Parameters:
        `T` - Type
      Parameters:
        `response` - HTTP response
        `returnType` - The type of the Java object
      Returns:
        The deserialized Java object
      Throws:
        `ApiException` - If fail to deserialize response body, i.e. cannot read response body or the Content-Type of the response is not supported.

    - #### serialize

          public com.squareup.okhttp.RequestBody serialize(Object obj,
                                                           String contentType)
                                                    throws ApiException

      Serialize the given Java object into request body according to the object's class and the request Content-Type.
      Parameters:
        `obj` - The Java object
        `contentType` - The request Content-Type
      Returns:
        The serialized request body
      Throws:
        `ApiException` - If fail to serialize the given object

    - #### downloadFileFromResponse

          public File downloadFileFromResponse(com.squareup.okhttp.Response response)
                                        throws ApiException

      Download file from the given response.
      Parameters:
        `response` - An instance of the Response object
      Returns:
        Downloaded file
      Throws:
        `ApiException` - If fail to read file content from response and write to disk

    - #### prepareDownloadFile

          public File prepareDownloadFile(com.squareup.okhttp.Response response)
                                   throws IOException

      Prepare file for download
      Parameters:
        `response` - An instance of the Response object
      Returns:
        Prepared file for the download
      Throws:
        `IOException` - If fail to prepare file for download

    - #### execute

          public <T> ApiResponse<T> execute(com.squareup.okhttp.Call call)
                                     throws ApiException

      `execute(Call, Type)`
      Type Parameters:
        `T` - Type
      Parameters:
        `call` - An instance of the Call object
      Returns:
        ApiResponse<T>
      Throws:
        `ApiException` - If fail to execute the call

    - #### execute

          public <T> ApiResponse<T> execute(com.squareup.okhttp.Call call,
                                            Type returnType)
                                     throws ApiException

      Execute HTTP call and deserialize the HTTP response body into the given return type.
      Type Parameters:
        `T` - The return type corresponding to (same with) returnType
      Parameters:
        `returnType` - The return type used to deserialize HTTP response body
        `call` - Call
      Returns:
        ApiResponse object containing response status, headers and data, which is a Java object deserialized from response body and would be null when returnType is null.
      Throws:
        `ApiException` - If fail to execute the call

    - #### executeAsync

          public <T> void executeAsync(com.squareup.okhttp.Call call,
                                       ApiCallback<T> callback)

      `executeAsync(Call, Type, ApiCallback)`
      Type Parameters:
        `T` - Type
      Parameters:
        `call` - An instance of the Call object
        `callback` - ApiCallback<T>

    - #### executeAsync

          public <T> void executeAsync(com.squareup.okhttp.Call call,
                                       Type returnType,
                                       ApiCallback<T> callback)

      Execute HTTP call asynchronously.
      Type Parameters:
        `T` - Type
      Parameters:
        `call` - The callback to be executed when the API call finishes
        `returnType` - Return type
        `callback` - ApiCallback
      See Also:
        `execute(Call, Type)`

    - #### handleResponse

          public <T> T handleResponse(com.squareup.okhttp.Response response,
                                      Type returnType)
                               throws ApiException

      Handle the given response, return the deserialized object when the response is successful.
      Type Parameters:
        `T` - Type
      Parameters:
        `response` - Response
        `returnType` - Return type
      Returns:
        Type
      Throws:
        `ApiException` - If the response has a unsuccessful status code or fail to deserialize the response body

    - #### buildCall

          public com.squareup.okhttp.Call buildCall(String path,
                                                    String method,
                                                    List<Pair> queryParams,
                                                    Object body,
                                                    Map<String,String> headerParams,
                                                    Map<String,Object> formParams,
                                                    String[] authNames,
                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                             throws ApiException

      Build HTTP call with the given options.
      Parameters:
        `path` - The sub-path of the HTTP URL
        `method` - The request method, one of "GET", "HEAD", "OPTIONS", "POST", "PUT", "PATCH" and "DELETE"
        `queryParams` - The query parameters
        `body` - The request body object
        `headerParams` - The header parameters
        `formParams` - The form parameters
        `authNames` - The authentications to apply
        `progressRequestListener` - Progress request listener
      Returns:
        The HTTP call
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### buildRequest

          public com.squareup.okhttp.Request buildRequest(String path,
                                                          String method,
                                                          List<Pair> queryParams,
                                                          Object body,
                                                          Map<String,String> headerParams,
                                                          Map<String,Object> formParams,
                                                          String[] authNames,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build an HTTP request with the given options.
      Parameters:
        `path` - The sub-path of the HTTP URL
        `method` - The request method, one of "GET", "HEAD", "OPTIONS", "POST", "PUT", "PATCH" and "DELETE"
        `queryParams` - The query parameters
        `body` - The request body object
        `headerParams` - The header parameters
        `formParams` - The form parameters
        `authNames` - The authentications to apply
        `progressRequestListener` - Progress request listener
      Returns:
        The HTTP request
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### buildUrl

          public String buildUrl(String path,
                                 List<Pair> queryParams)

      Build full URL by concatenating base path, the given sub path and query parameters.
      Parameters:
        `path` - The sub path
        `queryParams` - The query parameters
      Returns:
        The full URL

    - #### processHeaderParams

          public void processHeaderParams(Map<String,String> headerParams,
                                          com.squareup.okhttp.Request.Builder reqBuilder)

      Set header parameters to the request builder, including default headers.
      Parameters:
        `headerParams` - Header parameters in the ofrm of Map
        `reqBuilder` - Reqeust.Builder

    - #### updateParamsForAuth

          public void updateParamsForAuth(String[] authNames,
                                          List<Pair> queryParams,
                                          Map<String,String> headerParams)

      Update query and header parameters based on authentication settings.
      Parameters:
        `authNames` - The authentications to apply
        `queryParams` - List of query parameters
        `headerParams` - Map of header parameters

    - #### buildRequestBodyFormEncoding

          public com.squareup.okhttp.RequestBody buildRequestBodyFormEncoding(Map<String,Object> formParams)

      Build a form-encoding request body with the given form parameters.
      Parameters:
        `formParams` - Form parameters in the form of Map
      Returns:
        RequestBody

    - #### buildRequestBodyMultipart

          public com.squareup.okhttp.RequestBody buildRequestBodyMultipart(Map<String,Object> formParams)

      Build a multipart (file uploading) request body with the given form parameters, which could contain text fields and file fields.
      Parameters:
        `formParams` - Form parameters in the form of Map
      Returns:
        RequestBody

    - #### guessContentTypeFromFile

          public String guessContentTypeFromFile(File file)

      Guess Content-Type header from the given file (defaults to "application/octet-stream").
      Parameters:
        `file` - The given file
      Returns:
        The guessed Content-Type

Copyright © 2022. All rights reserved.